Subject: Re: git grep: search whole tree by default?

From: Matthieu Moy <[email-masked]>
Date: Wed, 23 Oct 2013 18:21:00 +0200

Piotr Krukowiecki <[email-masked]> writes:

> I think there were discussion about how there are several git commands
> which do not search in whole tree by default and that it's going to be
> changed. I think "add" is one of such commands. Is 'grep' left
> unchanged?

In summary: changing is painful. The case of "git add" was really bad,
since the same command had different behavior depending on the options
given, so it was clearly worth the pain. In the case of "git grep", the
current behavior is not _that_ bad, so nobody bothered to do the change.

(by "do the change", I mean propose a migration plan, convince people
that it is good, ...)

I'd personally be slightly in favor of changing to tree-wide, but
without strong opinion.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/